# ChangeLog for dev-vcs/kdesvn
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/kdesvn/ChangeLog,v 1.30 2013/02/12 14:20:40 ago Exp $

  12 Feb 2013; Agostino Sarubbo <ago@gentoo.org> kdesvn-1.6.0.ebuild:
  Stable for x86, wrt bug #456634

  12 Feb 2013; Agostino Sarubbo <ago@gentoo.org> kdesvn-1.6.0.ebuild:
  Stable for amd64, wrt bug #456634

  24 Oct 2012; Michael Palimaka <kensington@gentoo.org> kdesvn-1.6.0.ebuild:
  Raise minimum dependency on subversion and add missing ru linguas, wrt bug
  #433928.

*kdesvn-1.6.0 (01 Sep 2012)

  01 Sep 2012; Tomáš Chvátal <scarabeus@gentoo.org> +kdesvn-1.6.0.ebuild:
  Version bump to release that kinda supports svn-1.7.

  04 Aug 2012; Johannes Huber <johu@gentoo.org> -kdesvn-1.5.5-r1.ebuild:
  Remove old.

  04 Aug 2012; Johannes Huber <johu@gentoo.org> kdesvn-1.5.5-r2.ebuild:
  Stable for x86, wrt bug #429070

  03 Aug 2012; Agostino Sarubbo <ago@gentoo.org> kdesvn-1.5.5-r2.ebuild:
  Stable for amd64, wrt bug #429070

*kdesvn-1.5.5-r2 (22 Jun 2012)

  22 Jun 2012; Michael Palimaka <kensington@gentoo.org>
  +files/kdesvn-1.5.5-gcc-4.7.patch, +kdesvn-1.5.5-r2.ebuild:
  Add patch from upstream to fix build with GCC 4.7, wrt bug #422583. Migrate to
  EAPI 4. Correct deps.

  07 Jun 2012; Zac Medico <zmedico@gentoo.org> kdesvn-1.5.5-r1.ebuild:
  inherit flag-o-matic for append-cppflags

  19 Apr 2012; Johannes Huber <johu@gentoo.org> -kdesvn-1.5.5.ebuild:
  Remove old.

  19 Apr 2012; Markus Meier <maekke@gentoo.org> kdesvn-1.5.5-r1.ebuild:
  x86 stable, bug #409403

  04 Apr 2012; Agostino Sarubbo <ago@gentoo.org> kdesvn-1.5.5-r1.ebuild:
  Stable for amd64, wrt bug #409403

*kdesvn-1.5.5-r1 (15 Feb 2012)

  15 Feb 2012; Andreas K. Huettel <dilfridge@gentoo.org>
  +kdesvn-1.5.5-r1.ebuild, +files/kdesvn-1.5.5-qt48.patch:
  Add build fix for qt-4.8 from Ubuntu, fixes bug 400959

  06 Jun 2011; Jonathan Callen <abcd@gentoo.org> kdesvn-1.5.5.ebuild:
  Remove mentions of kdeprefix

  30 Jan 2011; Theo Chatzimichos <tampakrap@gentoo.org> -kdesvn-1.5.3.ebuild:
  Remove old

  05 Nov 2010; Markos Chandras <hwoarang@gentoo.org> kdesvn-1.5.5.ebuild:
  Stable on amd64 wrt bug #338887

  02 Nov 2010; Thomas Kahle <tomka@gentoo.org> kdesvn-1.5.5.ebuild:
  x86 stable per bug #338887

  04 Oct 2010; Maciej Mrozowski <reavertm@gentoo.org> kdesvn-1.5.5.ebuild:
  ru and nl linguas disabled upstream, bug 339011

  27 Sep 2010; Theo Chatzimichos <tampakrap@gentoo.org> kdesvn-1.5.5.ebuild:
  EAPI3fy

*kdesvn-1.5.5 (27 Sep 2010)

  27 Sep 2010; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-1.5.2-r1.ebuild, -kdesvn-1.5.4.ebuild, +kdesvn-1.5.5.ebuild:
  Version bump, remove olds

  21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> kdesvn-1.5.3.ebuild:
  x86 stable wrt bug #333795

  21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> kdesvn-1.5.3.ebuild:
  Stable on amd64 wrt bug #333795

*kdesvn-1.5.4 (21 Aug 2010)

  21 Aug 2010; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-1.4.1.ebuild, +kdesvn-1.5.4.ebuild:
  Version bump, remove old

  22 Jun 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
  kdesvn-1.4.1.ebuild, kdesvn-1.5.2-r1.ebuild, kdesvn-1.5.3.ebuild:
  dev-util/subversion renamed to dev-vcs/subversion.

  24 May 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
  kdesvn-1.5.2-r1.ebuild:
  x86 stable wrt bug #314819

  23 May 2010; Pacho Ramos <pacho@gentoo.org> kdesvn-1.5.2-r1.ebuild:
  stable amd64, bug 314819

*kdesvn-1.5.3 (12 Apr 2010)

  12 Apr 2010; Maciej Mrozowski <reavertm@gentoo.org>
  kdesvn-1.5.2-r1.ebuild, +kdesvn-1.5.3.ebuild:
  Version bump (bug 314189), added dev-libs/apr:1 dependency

  30 Mar 2010; Theo Chatzimichos <tampakrap@gentoo.org> kdesvn-1.4.1.ebuild,
  kdesvn-1.5.2-r1.ebuild:
  Remove qsvn block

  05 Mar 2010; Theo Chatzimichos <tampakrap@gentoo.org> kdesvn-1.4.1.ebuild,
  kdesvn-1.5.2-r1.ebuild:
  Update category of qsvn blocker

*kdesvn-1.5.2-r1 (05 Mar 2010)

  05 Mar 2010; Theo Chatzimichos <tampakrap@gentoo.org>
  +kdesvn-1.4.1.ebuild, +kdesvn-1.5.2-r1.ebuild, +metadata.xml:
  Move kdesvn from dev-util to dev-vcs, add kde herd to maintainers

  25 Feb 2010; Maciej Mrozowski <reavertm@gentoo.org> kdesvn-1.4.1.ebuild,
  kdesvn-1.5.2-r1.ebuild:
  Add sys-devel/gettext to DEPEND

  25 Feb 2010; Maciej Mrozowski <reavertm@gentoo.org> -kdesvn-1.5.2.ebuild,
  +kdesvn-1.5.2-r1.ebuild:
  Install service menus and block kdesdk-kioslaves[subversion] (as it
  installs service menus as well, just they're worse), remove previous
  revision.

  25 Feb 2010; Maciej Mrozowski <reavertm@gentoo.org> -kdesvn-1.5.1.ebuild:
  Removed old

*kdesvn-1.5.2 (11 Feb 2010)

  11 Feb 2010; Samuli Suominen <ssuominen@gentoo.org> +kdesvn-1.5.2.ebuild:
  Version bump.

*kdesvn-1.5.1 (17 Jan 2010)

  17 Jan 2010; Samuli Suominen <ssuominen@gentoo.org> +kdesvn-1.5.1.ebuild:
  Version bump.

  17 Dec 2009; Markos Chandras <hwoarang@gentoo.org> kdesvn-1.4.1.ebuild:
  add blocker for dev-util/qsvn ( wrt bug #296624 )

  18 Nov 2009; Christian Faulhammer <fauli@gentoo.org> kdesvn-1.4.1.ebuild:
  stable x86, bug 291924

  11 Nov 2009; Samuli Suominen <ssuominen@gentoo.org> kdesvn-1.4.1.ebuild:
  amd64 stable wrt #291924, thanks to Andreas K. Huettel for testing.

*kdesvn-1.4.1 (05 Oct 2009)

  05 Oct 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  -files/kdesvn-0.14.4-linkage.patch, -files/kdesvn-1.0.1-linkage.patch,
  +kdesvn-1.4.1.ebuild:
  Version bump, cleanup old patchsets

  03 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -kdesvn-0.14.4.ebuild, -kdesvn-1.3.0-r1.ebuild, -kdesvn-1.3.1.ebuild,
  -kdesvn-1.3.2.ebuild:
  Cleanup in sake of cmake QA.

*kdesvn-1.4.0 (19 Aug 2009)

  19 Aug 2009; Patrick Lauer <patrick@gentoo.org> +kdesvn-1.4.0.ebuild:
  Bump to 1.4.0, fixes #281816

  12 Aug 2009; Alex Alexander <wired@gentoo.org> kdesvn-1.0.5.ebuild:
  fixed build fail with kde 4 installed

*kdesvn-1.3.2 (24 Jul 2009)

  24 Jul 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  +kdesvn-1.3.2.ebuild:
  Version bump, fixes bug 277664

*kdesvn-1.3.1 (30 Jun 2009)
*kdesvn-1.3.0-r1 (30 Jun 2009)

  30 Jun 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-1.2.4.ebuild, -kdesvn-1.3.0.ebuild, +kdesvn-1.3.0-r1.ebuild,
  +kdesvn-1.3.1.ebuild:
  Version bump, remove old, also change KDEDIR with PREFIX (bug 275173),
  thus revision bump for 1.3.0

  31 May 2009; Markus Meier <maekke@gentoo.org> kdesvn-1.0.5.ebuild:
  amd64 stable, bug #270688

  26 May 2009; Christian Faulhammer <fauli@gentoo.org> kdesvn-1.0.5.ebuild:
  stable x86, bug 270688

*kdesvn-1.0.5 (21 May 2009)

  21 May 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-1.0.1.ebuild, -kdesvn-1.0.4.ebuild, +kdesvn-1.0.5.ebuild:
  Version bump for the kde3 version, remove some old kde3 versions (bug
  269813)
  1.0.5 solves compilation and linking bugs: bug 243222, bug 244714, bug
  248875 and as-needed bug 250085
  Also, rewritten in EAPI-2 and slotted in :3.5

*kdesvn-1.3.0 (20 Apr 2009)

  20 Apr 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  +kdesvn-1.3.0.ebuild:
  Version Bump

  13 Apr 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-0.13.0.ebuild, -kdesvn-0.14.2.ebuild:
  remove old versions

  06 Apr 2009; Tomas Chvatal <scarabeus@gentoo.org> kdesvn-1.2.4.ebuild:
  Remove unneded depend.

*kdesvn-1.2.4 (01 Mar 2009)

  01 Mar 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  -kdesvn-1.2.3.ebuild, +kdesvn-1.2.4.ebuild:
  Version bump, change slot to :2

*kdesvn-1.2.3 (05 Feb 2009)

  05 Feb 2009; Theo Chatzimichos <tampakrap@gentoo.org>
  +kdesvn-1.2.3.ebuild:
  add kde4 compatible version of kdesvn, bug 245066

  05 Feb 2009; Theo Chatzimichos <tampakrap@gentoo.org> metadata.xml:
  add myself as maintainer

  01 Dec 2008; George Shapovalov <george@gentoo.org> kdesvn-1.0.4.ebuild:
  fixed collision with kdesdk-kioslaves (#243434)

  22 Oct 2008; George Shapovalov <george@gentoo.org> kdesvn-1.0.4.ebuild:
  added LINGUAS support, thanks to Theo Chatzimichos (#238245) for
  suggestion

*kdesvn-1.0.4 (21 Oct 2008)

  22 Oct 2008; George Shapovalov <george@gentoo.org> +kdesvn-1.0.4.ebuild:
  version bump (#238245), SLOTted ebuild in preparation for kde4 version

  11 Sep 2008; George Shapovalov <george@gentoo.org>
  -files/kdesvn-0.14.1-as-needed.patch,
  -files/kdesvn-0.14.1-subversion-1.5.patch, -kdesvn-0.11.2.ebuild,
  -kdesvn-0.14.1.ebuild:
  removed stale versions

*kdesvn-1.0.1 (11 Sep 2008)

  11 Sep 2008; George Shapovalov <george@gentoo.org>
  +files/kdesvn-1.0.1-linkage.patch, +kdesvn-1.0.1.ebuild:
  added new version (#235356)

  11 Sep 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.4.ebuild:
  kdesvn seems to unconditionally need sqlite (#235356)

  10 Sep 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.4.ebuild:
  fixed #224235 and #219503

  10 Sep 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.4.ebuild:
  fix for a build issue that came up while preparing for update to 1.0.1
  (#235356)

  07 Sep 2008; Markus Meier <maekke@gentoo.org> kdesvn-0.14.4.ebuild:
  amd64/x86 stable, bug #236136

  30 May 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.1.ebuild,
  kdesvn-0.14.2.ebuild:
  fixed RDEPEND to point to =subversion-1.4*, as 1.3 is no longer in the tree
  and to avoid ranged deps.

*kdesvn-0.14.4 (29 May 2008)

  29 May 2008; George Shapovalov <george@gentoo.org>
  +files/kdesvn-0.14.4-linkage.patch, +kdesvn-0.14.4.ebuild:
  added new version, this one is supposed to handle utf-8 issues better..

  27 May 2008; Mark Loeser <halcy0n@gentoo.org> kdesvn-0.11.2.ebuild,
  kdesvn-0.13.0.ebuild, kdesvn-0.14.1.ebuild, kdesvn-0.14.2.ebuild:
  Remove RDEPEND on cmake; bug #220453

  05 May 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.2.ebuild:
  subversion-1.5 is really raw, forcing <1.5 in 0.14.2 too

  02 May 2008; George Shapovalov <george@gentoo.org> kdesvn-0.14.1.ebuild:
  forced DEPEND=<svn-1.5 as it complains endlessly during work. See #219505

  02 May 2008; Markus Meier <maekke@gentoo.org> kdesvn-0.14.1.ebuild:
  amd64/x86 stable, bug #217417

  02 May 2008; George Shapovalov <portage-cvs@gentoo.org> -kdesvn-0.9.3.ebuild,
  -kdesvn-0.12.1.ebuild, -kdesvn-0.14.0.ebuild, +kdesvn-0.14.2.ebuild:
  remove stale versions

*kdesvn-0.14.2 (02 May 2008)

  02 May 2008; George Shapovalov <george@gentoo.org> +kdesvn-0.14.2.ebuild:
  new version. as-needed patch seems not needed any more

  30 Apr 2008; Benedikt Böhm <hollow@gentoo.org>
  +files/kdesvn-0.14.1-subversion-1.5.patch, kdesvn-0.14.1.ebuild:
  add patch for subversion 1.5 compatibility wrt #219505

  19 Apr 2008; Ingmar Vanhassel <ingmar@gentoo.org> kdesvn-0.14.1.ebuild:
  Inherit qt3.eclass to keep sandbox happy, bug 218393.

  19 Jan 2008; George Shapovalov <george@gentoo.org>
  +files/kdesvn-0.14.1-as-needed.patch, kdesvn-0.14.1.ebuild:
  fixed --as-needed compile failure (another one). Thanks to Krzysztof Nowicki
  for suggested fix (#187318)

*kdesvn-0.14.1 (30 Nov 2007)

  30 Nov 2007; George Shapovalov <george@gentoo.org> +kdesvn-0.14.1.ebuild:
  new (mostly bug fix) version

  24 Oct 2007; George Shapovalov <george@gentoo.org> -kdesvn-0.9.2.ebuild,
  kdesvn-0.9.3.ebuild, -kdesvn-0.11.1.ebuild, -kdesvn-0.12.0.ebuild:
  removed old versions, correscted SRC_URI for 0.9.3

*kdesvn-0.14.0 (24 Oct 2007)

  24 Oct 2007; George Shapovalov <george@gentoo.org> +kdesvn-0.14.0.ebuild:
  new version. Upstream went crazy with sources, but looks like I persuaded
  him to keep permalinks, at least for now. See #196184

  31 Aug 2007; George Shapovalov <george@gentoo.org> kdesvn-0.11.2.ebuild,
  kdesvn-0.12.1.ebuild, kdesvn-0.13.0.ebuild:
  added debug use flag. Thanks to rf for suggestion (#190783)

*kdesvn-0.13.0 (31 Aug 2007)

  31 Aug 2007; George Shapovalov <george@gentoo.org> +kdesvn-0.13.0.ebuild:
  new version out. The sed in src_unpack is no longer needed (upstream took it
  in finally).

*kdesvn-0.12.1 (06 Jul 2007)

  06 Jul 2007; George Shapovalov <george@gentoo.org> +kdesvn-0.12.1.ebuild:
  added new version

  06 Jul 2007; George Shapovalov <george@gentoo.org> kdesvn-0.9.2.ebuild,
  kdesvn-0.9.3.ebuild, kdesvn-0.11.1.ebuild, kdesvn-0.11.2.ebuild,
  kdesvn-0.12.0.ebuild:
  upstream has changed source directory layout, adjusted ebuilds (#184146).
  Thanks to Bram Schoenmakers for reporting.

  27 May 2007; Peter Weller <welp@gentoo.org> kdesvn-0.11.2.ebuild:
  Stable on amd64 wrt bug 171710

  25 May 2007; Raúl Porcel <armin76@gentoo.org> kdesvn-0.11.2.ebuild:
  x86 stable wrt #171710

*kdesvn-0.12.0 (23 May 2007)

  23 May 2007; Stefan Schweizer <genstef@gentoo.org> +kdesvn-0.12.0.ebuild:
  version bump thanks to Jannick Kuhr <jakuhr-linux@gmx.de> in bug 179507

  30 Apr 2007; George Shapovalov <george@gentoo.org> ChangeLog:
  removed old (pre-stable) version

*kdesvn-0.11.2 (30 Apr 2007)

  30 Apr 2007; George Shapovalov <george@gentoo.org> -kdesvn-0.11.0.ebuild,
  +kdesvn-0.11.2.ebuild:
  version bump

  19 Mar 2007; Bryan Østergaard <kloeri@gentoo.org> metadata.xml:
  Remove ka0ttic from metadata.xml due to retirement.

  17 Mar 2007; George Shapovalov <george@gentoo.org> kdesvn-0.11.1.ebuild:
  applied which -> type -P fix to the bumoed version

*kdesvn-0.11.1 (14 Mar 2007)

  14 Mar 2007; George Shapovalov <george@gentoo.org> +kdesvn-0.11.1.ebuild:
  version bump

  14 Mar 2007; George Shapovalov <george@gentoo.org> kdesvn-0.11.0.ebuild:
  which -> type -P fix

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org> kdesvn-0.8.4.ebuild,
  kdesvn-0.9.2.ebuild, kdesvn-0.9.3.ebuild, kdesvn-0.11.0.ebuild:
  Convert to use elog.

  14 Nov 2006; Christian Faulhammer <opfer@gentoo.org> kdesvn-0.9.2.ebuild:
  stable x86, bug #154560

  12 Nov 2006; <malc@gentoo.org> kdesvn-0.11.0.ebuild:
  Fix QA/Multilib-strict issue, bug #154835

  11 Nov 2006; <malc@gentoo.org> kdesvn-0.9.2.ebuild:
  Stable on amd64, bug #154560

*kdesvn-0.11.0 (07 Nov 2006)

  07 Nov 2006; George Shapovalov <george@gentoo.org> +kdesvn-0.11.0.ebuild:
  new version. Upstream transitioned to cmake

  27 Oct 2006; George Shapovalov <george@gentoo.org> kdesvn-0.9.3.ebuild:
  adjusted DEPEND, subversion-1.3 is still Ok. Thanks to Kevin for the note
  (#152929)

  25 Oct 2006; George Shapovalov <george@gentoo.org> kdesvn-0.9.1.ebuild,
  kdesvn-0.9.2.ebuild, kdesvn-0.9.3.ebuild:
  adjusted DEPEND to pick up the right subversion. Adjusted SRC_URI - upstream
  apparently moves old sources

*kdesvn-0.9.3 (25 Oct 2006)

  25 Oct 2006; George Shapovalov <george@gentoo.org> +kdesvn-0.9.3.ebuild:
  version bump, this one builds with subversion-1.4

  04 Sep 2006; George Shapovalov <george@gentoo.org>
  -files/kdesvn-0.7.1-gcc41.patch, -kdesvn-0.6.2.ebuild,
  -kdesvn-0.7.1.ebuild:
  removed old versions

*kdesvn-0.9.2 (04 Sep 2006)

  04 Sep 2006; George Shapovalov <george@gentoo.org> +kdesvn-0.9.2.ebuild:
  new version (#141523)

*kdesvn-0.9.1 (30 Aug 2006)

  30 Aug 2006; George Shapovalov <george@gentoo.org> +kdesvn-0.9.1.ebuild:
  new version (#141523), upped dep on subversion to 1.3, removed debug einfo

*kdesvn-0.8.4 (12 Jun 2006)

  12 Jun 2006; George Shapovalov <george@gentoo.org> +kdesvn-0.8.4.ebuild:
  version bump (#128231), postinst now complains about missing kopmare only if it
  is actually missing.. (#124967)

*kdesvn-0.7.4 (02 Mar 2006)

  02 Mar 2006; Aaron Walker <ka0ttic@gentoo.org> +kdesvn-0.7.4.ebuild:
  Version bump for bug 118960.

  14 Jan 2006; Mark Loeser <halcy0n@gentoo.org>
  +files/kdesvn-0.7.1-gcc41.patch, kdesvn-0.7.1.ebuild:
  Add patch by steveb <steeeeeveee AT gmx DOT net> to fix compilation with
  gcc-4.1; bug #117533

*kdesvn-0.7.1 (16 Dec 2005)

  16 Dec 2005; Aaron Walker <ka0ttic@gentoo.org> +kdesvn-0.7.1.ebuild:
  Version bump; updated subversion dep to >=1.2. Thanks once again to Thomas
  Fischer in bug #111784.

  08 Oct 2005; Marcus D. Hanwell <cryos@gentoo.org> kdesvn-0.6.2.ebuild:
  Marked ~amd64.

*kdesvn-0.6.2 (07 Oct 2005)

  07 Oct 2005; Aaron Walker <ka0ttic@gentoo.org> +metadata.xml,
  +kdesvn-0.6.2.ebuild:
  Initial commit. Ebuild submitted by Thomas Fischer
  <fischer@unix-ag.uni-kl.de> in bug #101450.
